# Generated by Django 4.2.11 on 2024-03-22 17:17

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("djangoldp_ep", "0081_alter_citizenproject_status"),
    ]

    operations = [
        migrations.AlterField(
            model_name="capitaldistribution",
            name="actor",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="capital_distributions",
                to="djangoldp_ep.actor",
                verbose_name="Acteur",
            ),
        ),
        migrations.AlterField(
            model_name="capitaldistribution",
            name="shareholder",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="capital_distribution",
                to="djangoldp_ep.shareholder",
                verbose_name="Shareholder",
            ),
        ),
        migrations.AlterField(
            model_name="citizenproject",
            name="communication_profile",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="citizen_project",
                to="djangoldp_ep.communicationprofile",
                verbose_name="Profil de communication",
            ),
        ),
        migrations.AlterField(
            model_name="citizenproject",
            name="founder",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="founded_projects",
                to="djangoldp_ep.actor",
                verbose_name="Fondateur",
            ),
        ),
        migrations.AlterField(
            model_name="energybuyer",
            name="contract_type",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="contract",
                to="djangoldp_ep.contracttype",
                verbose_name="Type de contrat",
            ),
        ),
        migrations.AlterField(
            model_name="energyproduction",
            name="energy_buyer",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="energy_bought",
                to="djangoldp_ep.energybuyer",
                verbose_name="Acheteur d'énergie",
            ),
        ),
        migrations.AlterField(
            model_name="energyproduction",
            name="energy_type",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="energy_production",
                to="djangoldp_ep.energytype",
                verbose_name="Type d'énergie",
            ),
        ),
        migrations.AlterField(
            model_name="energyproduction",
            name="production_site",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="energy_productions",
                to="djangoldp_ep.productionsite",
                verbose_name="Site de production",
            ),
        ),
        migrations.AlterField(
            model_name="partner",
            name="actor",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="partner_of",
                to="djangoldp_ep.actor",
                verbose_name="Acteur",
            ),
        ),
        migrations.AlterField(
            model_name="partner",
            name="citizen_project",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="partnered_by",
                to="djangoldp_ep.citizenproject",
                verbose_name="Projet Citoyen",
            ),
        ),
        migrations.AlterField(
            model_name="partnertype",
            name="partners",
            field=models.ManyToManyField(
                blank=True,
                related_name="types",
                to="djangoldp_ep.partner",
                verbose_name="Partenaires",
            ),
        ),
        migrations.AlterField(
            model_name="productionsite",
            name="citizen_project",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="production_sites",
                to="djangoldp_ep.citizenproject",
                verbose_name="Projet citoyen",
            ),
        ),
        migrations.AlterField(
            model_name="testimony",
            name="communication_profile",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="testimonies",
                to="djangoldp_ep.communicationprofile",
                verbose_name="Témoignage",
            ),
        ),
    ]
